# fastfile-gsc-iw5

This project demonstrates how to use OAT ([Open Asset Tools][oat-link]) to load a custom GSC file from a fastfile. The process requires the use of [gsc-tool][gsc-link] to precompile your scripts. I recommend you read [this][oat-guide] article before attempting to follow along the steps below.

## Repository Contents

* _tweakable.gsc: This file is provided in both clear text format and a precompiled version (called [29.gsc](zone_raw/patch_mp/29.gsc)).
* Custom Scripts ([_custom.gsc](zone_raw/patch_mp/scripts/_custom.gsc)): The repository also includes the custom scripts intended to be loaded.

## How to use

1. Precompiling Scripts: Utilize gsc-tool to precompile your GSC scripts before attempting to load them. Example: `./gsc-tool -m comp -g iw5 -s pc _custom.gsc`

2. Link the fastfile: `.\bin\Linker.exe -l "<..>/Call of Duty Modern Warfare 3/zone/english/patch_mp.ff" --menu-permissive --menu-no-optimization patch_mp`

[oat-link]:     https://openassettools.dev
[gsc-link]:     https://github.com/xensik/gsc-tool
[oat-guide]:    https://openassettools.dev/guide/using-the-tools.html#extending-a-vanilla-fastfile
